com.creamtec.ajaxswing.v4

## Class RenderingGraphics

- java.lang.Object
- - java.awt.Graphics
  - - java.awt.Graphics2D
    - - com.creamtec.ajaxswing.v4.HtmlGraphics
      - - com.creamtec.ajaxswing.v4.AbstractRenderingGraphics
        - - com.creamtec.ajaxswing.v4.RenderingGraphics

- Direct Known Subclasses:
    ComponentGraphics

      public class RenderingGraphics
      extends AbstractRenderingGraphics

  Responsible for actual drawing for `Graphics2D` implementation for AjaxSwing, uses graphics state controlled by `AbstractRenderingGraphics`, rendering is done with simple div/span blocks to `HtmlGraphics` object

- - ### Field Summary

    - ### Fields inherited from class com.creamtec.ajaxswing.v4.HtmlGraphics

      `defaultFont`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderingGraphics(HTMLPage page)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `draw(java.awt.Shape s)`
    `void` | `drawArc(int x, int y, int width, int height, int startAngle, int arcAngle)`
    `void` | `drawGlyphVector(java.awt.font.GlyphVector g, float x, float y)`
    `void` | `drawImage(java.awt.image.BufferedImage img, java.awt.image.BufferedImageOp op, int x, int y)`
    `boolean` | `drawImage(java.awt.Image img, java.awt.geom.AffineTransform xform, java.awt.image.ImageObserver obs)`
    `boolean` | `drawImage(java.awt.Image img, int x, int y, java.awt.Color bgcolor, java.awt.image.ImageObserver observer)`
    `boolean` | `drawImage(java.awt.Image img, int x, int y, java.awt.image.ImageObserver observer)`
    `boolean` | `drawImage(java.awt.Image img, int x, int y, java.awt.image.ImageObserver observer, java.lang.String additionalStyles)`
    `boolean` | `drawImage(java.awt.Image img, int x, int y, java.awt.image.ImageObserver observer, java.lang.String additionalStyles, java.lang.String additionalClass)`
    `boolean` | `drawImage(java.awt.Image img, int x, int y, int width, int height, java.awt.Color bgcolor, java.awt.image.ImageObserver observer)`
    `boolean` | `drawImage(java.awt.Image img, int x, int y, int width, int height, java.awt.image.ImageObserver observer)`
    `boolean` | `drawImage(java.awt.Image img, int x, int y, int width, int height, java.awt.image.ImageObserver observer, java.lang.String additionalClass)`
    `boolean` | `drawImage(java.awt.Image img, int dx1, int dy1, int dx2, int dy2, int sx1, int sy1, int sx2, int sy2, java.awt.Color bgcolor, java.awt.image.ImageObserver observer)`
    `boolean` | `drawImage(java.awt.Image img, int dx1, int dy1, int dx2, int dy2, int sx1, int sy1, int sx2, int sy2, java.awt.image.ImageObserver observer)`
    `void` | `drawLine(int x1, int y1, int x2, int y2)`
    `void` | `drawLine(int x1, int y1, int x2, int y2, java.lang.Boolean paintResizable, ComponentGraphics.LinePlace linePlace)`
    `void` | `drawOval(int x, int y, int width, int height)`
    `void` | `drawPolygon(int[] xPoints, int[] yPoints, int nPoints)`
    `void` | `drawPolyline(int[] xPoints, int[] yPoints, int nPoints)`
    `void` | `drawRect(int x, int y, int width, int height)`
    `void` | `drawRect(int x, int y, int width, int height, java.lang.String additionalStyles)`
    `void` | `drawRenderableImage(java.awt.image.renderable.RenderableImage img, java.awt.geom.AffineTransform xform)`
    `void` | `drawRenderedImage(java.awt.image.RenderedImage img, java.awt.geom.AffineTransform xform)`
    `void` | `drawResizableCorner(int x, int y, java.lang.String direction)`
    `void` | `drawResizableLeftBottomCorner(int x, int y)`
    `void` | `drawResizableLeftTopCorner(int x, int y)`
    `void` | `drawResizableRightBottomCorner(int x, int y)`
    `void` | `drawResizableRightTopCorner(int x, int y)`
    `void` | `drawRoundRect(int x, int y, int width, int height, int arcWidth, int arcHeight)`
    `void` | `drawString(java.text.AttributedCharacterIterator iterator, float x, float y)`
    `void` | `drawString(java.text.AttributedCharacterIterator iterator, int x, int y)`
    `void` | `drawString(java.lang.String str, float x, float y)`
    `void` | `drawString(java.lang.String str, int x, int y)`
    `void` | `drawString(java.lang.String str, int x, int y, int hAlign)`
    `void` | `drawString(java.lang.String str, int x, int y, int hAlign, java.lang.String additionalClass)`
    `void` | `drawString(java.lang.String str, int x, int y, java.lang.String additionalClass)`
    `void` | `fill(java.awt.Shape s)`
    `void` | `fillArc(int x, int y, int width, int height, int startAngle, int arcAngle)`
    `void` | `fillOval(int x, int y, int width, int height)`
    `void` | `fillPolygon(int[] x, int[] y, int points)`
    `void` | `fillRect(int x, int y, int width, int height)`
    `void` | `fillRect(int x, int y, int width, int height, java.lang.String additionalStyles)`
    `void` | `fillRoundRect(int x, int y, int width, int height, int arcWidth, int arcHeight)`
    `void` | `fillTriangleVertical(int y, int y1, int[] xt)`

    - ### Methods inherited from class com.creamtec.ajaxswing.v4.AbstractRenderingGraphics

      `addRenderingHints, clearRect, clip, clipRect, copyArea, dispose, getBackground, getClip, getClipBounds, getColor, getComposite, getDeviceConfiguration, getFont, getFontRenderContext, getPaint, getRenderingHint, getRenderingHints, getStroke, getTransform, getTranslate, hit, rotate, rotate, scale, setBackground, setClip, setClip, setColor, setComposite, setFont, setPaint, setPaintMode, setRenderingHint, setRenderingHints, setStroke, setTransform, setXORMode, shear, transform, translate, translate, translateNoClip`

    - ### Methods inherited from class com.creamtec.ajaxswing.v4.HtmlGraphics

      `append, append, append, appendFontStyle, appendHexColor, appendHexValue, appendText, create, getFontMetrics, getImagePart, getImageUrl, getImageUrl, getPage`

    - ### Methods inherited from class java.awt.Graphics2D

      `draw3DRect, fill3DRect`

    - ### Methods inherited from class java.awt.Graphics

      `create, drawBytes, drawChars, drawPolygon, fillPolygon, finalize, getClipBounds, getClipRect, getFontMetrics, hitClip, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RenderingGraphics

          public RenderingGraphics(HTMLPage page)

  - ### Method Detail

    - #### draw

          public void draw(java.awt.Shape s)

      Specified by:
        `draw` in class `java.awt.Graphics2D`

    - #### drawArc

          public void drawArc(int x,
                     int y,
                     int width,
                     int height,
                     int startAngle,
                     int arcAngle)

      Specified by:
        `drawArc` in class `java.awt.Graphics`

    - #### drawGlyphVector

          public void drawGlyphVector(java.awt.font.GlyphVector g,
                             float x,
                             float y)

      Specified by:
        `drawGlyphVector` in class `java.awt.Graphics2D`

    - #### drawImage

          public void drawImage(java.awt.image.BufferedImage img,
                       java.awt.image.BufferedImageOp op,
                       int x,
                       int y)

      Specified by:
        `drawImage` in class `java.awt.Graphics2D`

    - #### drawImage

          public boolean drawImage(java.awt.Image img,
                          java.awt.geom.AffineTransform xform,
                          java.awt.image.ImageObserver obs)

      Specified by:
        `drawImage` in class `java.awt.Graphics2D`

    - #### drawImage

          public boolean drawImage(java.awt.Image img,
                          int x,
                          int y,
                          java.awt.Color bgcolor,
                          java.awt.image.ImageObserver observer)

      Specified by:
        `drawImage` in class `java.awt.Graphics`

    - #### drawImage

          public boolean drawImage(java.awt.Image img,
                          int x,
                          int y,
                          java.awt.image.ImageObserver observer)

      Specified by:
        `drawImage` in class `java.awt.Graphics`

    - #### drawImage

          public boolean drawImage(java.awt.Image img,
                          int x,
                          int y,
                          java.awt.image.ImageObserver observer,
                          java.lang.String additionalStyles)

    - #### drawImage

          public boolean drawImage(java.awt.Image img,
                          int x,
                          int y,
                          java.awt.image.ImageObserver observer,
                          java.lang.String additionalStyles,
                          java.lang.String additionalClass)

    - #### drawImage

          public boolean drawImage(java.awt.Image img,
                          int x,
                          int y,
                          int width,
                          int height,
                          java.awt.Color bgcolor,
                          java.awt.image.ImageObserver observer)

      Specified by:
        `drawImage` in class `java.awt.Graphics`

    - #### drawImage

          public boolean drawImage(java.awt.Image img,
                          int x,
                          int y,
                          int width,
                          int height,
                          java.awt.image.ImageObserver observer)

      Specified by:
        `drawImage` in class `java.awt.Graphics`

    - #### drawImage

          public boolean drawImage(java.awt.Image img,
                          int x,
                          int y,
                          int width,
                          int height,
                          java.awt.image.ImageObserver observer,
                          java.lang.String additionalClass)

    - #### drawImage

          public boolean drawImage(java.awt.Image img,
                          int dx1,
                          int dy1,
                          int dx2,
                          int dy2,
                          int sx1,
                          int sy1,
                          int sx2,
                          int sy2,
                          java.awt.Color bgcolor,
                          java.awt.image.ImageObserver observer)

      Specified by:
        `drawImage` in class `java.awt.Graphics`

    - #### drawImage

          public boolean drawImage(java.awt.Image img,
                          int dx1,
                          int dy1,
                          int dx2,
                          int dy2,
                          int sx1,
                          int sy1,
                          int sx2,
                          int sy2,
                          java.awt.image.ImageObserver observer)

      Specified by:
        `drawImage` in class `java.awt.Graphics`

    - #### drawLine

          public void drawLine(int x1,
                      int y1,
                      int x2,
                      int y2)

      Specified by:
        `drawLine` in class `java.awt.Graphics`

    - #### drawResizableCorner

          public void drawResizableCorner(int x,
                                 int y,
                                 java.lang.String direction)

    - #### drawResizableLeftTopCorner

          public void drawResizableLeftTopCorner(int x,
                                        int y)

    - #### drawResizableRightTopCorner

          public void drawResizableRightTopCorner(int x,
                                         int y)

    - #### drawResizableLeftBottomCorner

          public void drawResizableLeftBottomCorner(int x,
                                           int y)

    - #### drawResizableRightBottomCorner

          public void drawResizableRightBottomCorner(int x,
                                            int y)

    - #### drawLine

          public void drawLine(int x1,
                      int y1,
                      int x2,
                      int y2,
                      java.lang.Boolean paintResizable,
                      ComponentGraphics.LinePlace linePlace)

    - #### drawOval

          public void drawOval(int x,
                      int y,
                      int width,
                      int height)

      Specified by:
        `drawOval` in class `java.awt.Graphics`

    - #### drawPolygon

          public void drawPolygon(int[] xPoints,
                         int[] yPoints,
                         int nPoints)

      Specified by:
        `drawPolygon` in class `java.awt.Graphics`

    - #### drawPolyline

          public void drawPolyline(int[] xPoints,
                          int[] yPoints,
                          int nPoints)

      Specified by:
        `drawPolyline` in class `java.awt.Graphics`

    - #### drawRect

          public void drawRect(int x,
                      int y,
                      int width,
                      int height)

      Overrides:
        `drawRect` in class `java.awt.Graphics`

    - #### drawRect

          public void drawRect(int x,
                      int y,
                      int width,
                      int height,
                      java.lang.String additionalStyles)

    - #### drawRenderableImage

          public void drawRenderableImage(java.awt.image.renderable.RenderableImage img,
                                 java.awt.geom.AffineTransform xform)

      Specified by:
        `drawRenderableImage` in class `java.awt.Graphics2D`

    - #### drawRenderedImage

          public void drawRenderedImage(java.awt.image.RenderedImage img,
                               java.awt.geom.AffineTransform xform)

      Specified by:
        `drawRenderedImage` in class `java.awt.Graphics2D`

    - #### drawRoundRect

          public void drawRoundRect(int x,
                           int y,
                           int width,
                           int height,
                           int arcWidth,
                           int arcHeight)

      Specified by:
        `drawRoundRect` in class `java.awt.Graphics`

    - #### drawString

          public void drawString(java.text.AttributedCharacterIterator iterator,
                        float x,
                        float y)

      Specified by:
        `drawString` in class `java.awt.Graphics2D`

    - #### drawString

          public void drawString(java.text.AttributedCharacterIterator iterator,
                        int x,
                        int y)

      Specified by:
        `drawString` in class `java.awt.Graphics2D`

    - #### drawString

          public void drawString(java.lang.String str,
                        float x,
                        float y)

      Specified by:
        `drawString` in class `java.awt.Graphics2D`

    - #### drawString

          public void drawString(java.lang.String str,
                        int x,
                        int y)

      Specified by:
        `drawString` in class `java.awt.Graphics2D`

    - #### drawString

          public void drawString(java.lang.String str,
                        int x,
                        int y,
                        java.lang.String additionalClass)

    - #### drawString

          public void drawString(java.lang.String str,
                        int x,
                        int y,
                        int hAlign)

    - #### drawString

          public void drawString(java.lang.String str,
                        int x,
                        int y,
                        int hAlign,
                        java.lang.String additionalClass)

    - #### fill

          public void fill(java.awt.Shape s)

      Specified by:
        `fill` in class `java.awt.Graphics2D`

    - #### fillArc

          public void fillArc(int x,
                     int y,
                     int width,
                     int height,
                     int startAngle,
                     int arcAngle)

      Specified by:
        `fillArc` in class `java.awt.Graphics`

    - #### fillOval

          public void fillOval(int x,
                      int y,
                      int width,
                      int height)

      Specified by:
        `fillOval` in class `java.awt.Graphics`

    - #### fillPolygon

          public void fillPolygon(int[] x,
                         int[] y,
                         int points)

      Specified by:
        `fillPolygon` in class `java.awt.Graphics`

    - #### fillRect

          public void fillRect(int x,
                      int y,
                      int width,
                      int height)

      Specified by:
        `fillRect` in class `java.awt.Graphics`

    - #### fillRect

          public void fillRect(int x,
                      int y,
                      int width,
                      int height,
                      java.lang.String additionalStyles)

    - #### fillRoundRect

          public void fillRoundRect(int x,
                           int y,
                           int width,
                           int height,
                           int arcWidth,
                           int arcHeight)

      Specified by:
        `fillRoundRect` in class `java.awt.Graphics`

    - #### fillTriangleVertical

          public void fillTriangleVertical(int y,
                                  int y1,
                                  int[] xt)

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.